Bug 486380 - ksirk crashes when trying to start game
ksirk crashes when trying to start game
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdegames (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-19 10:28 EST by Riku Seppala
Modified: 2009-04-08 19:39 EDT (History)
8 users (show)

See Also:
Fixed In Version: 4.2.2-6.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-08 19:39:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace (5.83 KB, application/octet-stream)
2009-02-19 10:28 EST, Riku Seppala
no flags Details
backtrace when starting new game (10.59 KB, application/octet-stream)
2009-04-08 06:31 EDT, Riku Seppala
no flags Details
backtrace (3.71 KB, text/plain)
2009-04-08 15:32 EDT, Jason Farrell
no flags Details
backtrace (9.05 KB, text/plain)
2009-04-08 17:40 EDT, Jason Farrell
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 187235 None None None Never

  None (edit)
Description Riku Seppala 2009-02-19 10:28:47 EST
Created attachment 332570 [details]
backtrace

Description of problem:
ksirk crashes when trying to start game

F11 alpha + updates x86_64
Comment 1 Steven M. Parrish 2009-03-21 14:19:53 EDT
Thank you for the bug report.  This issue needs to be addressed by the upstream developers.  Please submit a report at http://bugs.kde.org. You are requested to add the bugzilla link here for tracking purposes. Please make sure the bug isn't already in the upstream bug tracker before filing it.
Comment 2 Riku Seppala 2009-04-02 16:09:59 EDT
https://bugs.kde.org/show_bug.cgi?id=187235
Comment 3 Rex Dieter 2009-04-02 16:28:53 EDT
We'll continue to track this upstream, thanks.
Comment 4 Kevin Kofler 2009-04-04 12:03:40 EDT
Should be fixed in 4.2.2-4.fc11, now building.
Comment 5 Kevin Kofler 2009-04-04 12:34:52 EDT
Built for Rawhide now: http://koji.fedoraproject.org/koji/buildinfo?buildID=96579

The F9 and F10 builds are still waiting for ppc, but the x86 builds are already complete:
F10 build: http://koji.fedoraproject.org/koji/buildinfo?buildID=96580
F9 build: http://koji.fedoraproject.org/koji/buildinfo?buildID=96581

Can somebody please verify that this is fixed?
Comment 6 Kevin Kofler 2009-04-04 13:18:28 EDT
Confirmed fixed by killefiz on IRC.
Comment 7 Riku Seppala 2009-04-08 04:39:02 EDT
1. Start local game (Woo it works!)
2. Keep clicking OK
3. Start new game
4. Crash

Different bug?
Comment 8 Kevin Kofler 2009-04-08 04:46:45 EDT
Probably. We need a new backtrace.
Comment 9 Riku Seppala 2009-04-08 06:31:47 EDT
Created attachment 338689 [details]
backtrace when starting new game
Comment 10 Kevin Kofler 2009-04-08 13:35:13 EDT
I think I know what causes this one. GameAutomaton::removeAllPlayers() is called very early in the process of creating a new game. It deletes all the current players, but it doesn't reset the countries and their owners. So you end up with countries owned by an already deleted player and a use-after-free. I'm on it.
Comment 11 Kevin Kofler 2009-04-08 14:43:54 EDT
The second crash should be fixed in 4.2.2-5.fc11, now building for Rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1285842
Comment 13 Jason Farrell 2009-04-08 15:30:48 EDT
2nd bug still reproducible (on f10 x86_64  w/ updates-testing) with the new build.
Comment 14 Jason Farrell 2009-04-08 15:32:10 EDT
Created attachment 338782 [details]
backtrace
Comment 15 Kevin Kofler 2009-04-08 17:08:20 EDT
That backtrace is different. But it lacks debugging info, I need one with qt-debuginfo and kdegames-debuginfo installed (matching versions, of course).
Comment 16 Jason Farrell 2009-04-08 17:40:10 EDT
Created attachment 338811 [details]
backtrace

more debuginfo
Comment 17 Kevin Kofler 2009-04-08 18:30:47 EDT
So this now crashes at an earlier stage in the mouseMoveEvent handler, looks like my attempt at fixing the issue just made it worse. :-(
Comment 18 Kevin Kofler 2009-04-08 18:38:57 EDT
Correcting myself, the crash is at a later stage, still, the issue is not completely fixed. I'm trying a different fix.
Comment 20 Jason Farrell 2009-04-08 19:30:22 EDT
confirmed fix. can no longer reproduce
Comment 21 Kevin Kofler 2009-04-08 19:39:15 EDT
Thanks, I'm pulling 4.2.2-6 into the update sets for F9 and F10.

Note You need to log in before you can comment on or make changes to this bug.